org.apache.avro

## Class Resolver.ErrorAction

- java.lang.Object
- - org.apache.avro.Resolver.Action
  - - org.apache.avro.Resolver.ErrorAction

- Enclosing class:
    Resolver

      public static class Resolver.ErrorAction
      extends Resolver.Action

  In this case there is an error. We put error Actions into trees because Avro reports these errors in a lazy fashion: if a particular input doesn't "tickle" the error (typically because it's in a branch of a union that isn't found in the data being read), then it's safe to ignore it.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Resolver.ErrorAction.ErrorType`

    - ### Nested classes/interfaces inherited from class org.apache.avro.Resolver.Action

      `Resolver.Action.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Resolver.ErrorAction.ErrorType` | `error`

    - ### Fields inherited from class org.apache.avro.Resolver.Action

      `conversion, logicalType, reader, type, writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorAction(Schema w, Schema r, GenericData d, Resolver.ErrorAction.ErrorType e)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### error

          public final Resolver.ErrorAction.ErrorType error

  - ### Constructor Detail

    - #### ErrorAction

          public ErrorAction(Schema w,
                             Schema r,
                             GenericData d,
                             Resolver.ErrorAction.ErrorType e)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.